View Issue Details

IDProjectCategoryView StatusLast Update
00276612.x IDE BugsRecent WindowsPublic2019-09-27 09:25
ReporterStewart BishopAssigned ToAlexander Borup 
PriorityHighSeverityC - GeneralReproducibility100%
Status ClosedResolutionReopened 
Product VersionPre-2.1.3 
Target Version2.2.3Fixed in Version2.2.3 
Summary0027661: Recent Windows: Closing a workspace doesn't remove references to windows in that workspace
DescriptionIf you have a bunch of windows open in a workspace and you close the workspace tab, we don't remove those windows from your recent windows list if you have the "Display only currently open windows" Preference enabled. Even restarting the IDE in between enabling the Preference and performing the repro steps won't fix.

Note that the links will open those recent windows again, so they're not broken/redundant, but this still goes against the intent of the Preference. Note also they will open in the current/new workspace, not the original workspace.

Expected: When the "Display only currently open windows" Preference is enabled, only windows which are currently open should appear in Recent Windows.


Steps To Reproduce1) Open GMS2 and ensure that preference is enabled, then open/create any project.
2) In workspace0, open a bunch of resources
3) Create workspace1
4) Close workspace0
5) See that your recent windows is still filled with all the incorrect entries from workspace0
Repro: 100%
TagsIDE, OtherEditor
2.x IDE Found In2.1.0.212
2.x Runtime Found In2.1.0.136
2.x IDE Verified In2.2.3.417
2.x Runtime Verified In2.2.3.332

Activities

Sam Cumming

2017-09-18 10:01

Developer   ~0055540

Just encountered this.

It seems that only the topmost Recent Windows entry will remain if you close the window with 'Display only currently open windows' enabled. If you close another window that's lower down in the list, it'll disappear from Recent Windows as expected.

Dan

2019-02-15 11:17

Adminstrator   ~0063215

Still occurs in 2.2.2, still makes a mockery of that Preference.

Stewart Bishop

2019-05-15 14:23

Developer   ~0063924

Still happens in latest dev

Alexander Borup

2019-05-15 16:11

Developer   ~0063928

Fixed method of circumventing this behavior because Recent Windows didn't retroactively remove inactive windows